Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2008 - ftp install fails if connection is lost
Summary: ftp install fails if connection is lost
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: distribution
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-05 19:58 UTC by stewart
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-06 17:02:31 UTC


Attachments (Terms of Use)

Description stewart 1999-04-05 19:58:05 UTC
Using the installer from Raw Hide 1.3.2 I had a couple of
problems with ftp during an upgrade from RH 5.2.

Start doing the install, select your packages.  Take more
then 15 mins (900 seconds) default timeout for closing an
anonymous ftp install.  Now continue install.  Crash,
reboot, start over.

Next time through.  Select all packages within 900 seconds.
Start installing, have a package missing (in my case it was
redhat-release-5.9-2.noarch.rpm, shouldn't have wanted this
file, but oh well.).  Wait 15 minutes before continuing, so
the ftp connection is closed (gone for food).  Continue
install (either try to get the file again, or skip it).
Crash, reboot, start over.

Next time:  Let it calculate the packages to install, and
install them.  Problem is that before the last crash the
packages that it upgraded (do not get upgraded again), the
old versions were not removed from the rpm database, hence
get dual entries in database.

Final solution: rpm -Uhv --force `cat listing'  :-)

One other little thing.  During anonymous ftp, login as
rhinstall instead of root, it is much nicer for tracking
things in my log files (may already be changed).

Comment 1 Cristian Gafton 1999-04-06 00:03:59 UTC
msw will probably deal with this

Comment 2 Matt Wilson 1999-04-06 17:02:59 UTC
should be fixed in raw hide 1.3.3


Note You need to log in before you can comment on or make changes to this bug.